//ChoiceInput2.java

import java.awt.*;
import java.applet.*;
//import java.lang.*;  


public class ChoiceInput2 extends Panel{ 
	
	private  Label lab1, lab2;
        
        public Button outgo;
	public Button ingo;
	private static final Font rangefont=new Font("SanSerif",Font.PLAIN,14);
	public Button about;	
	//private static final Color bgcolor = new Color(216,230,230);
	private static final Color bgcolor = Color.white;
	
	public ChoiceInput2(){
		super();
		setLayout(null);
		setBackground(bgcolor);
		Font labelfont=new Font("SanSerif",Font.BOLD,11);
		
                outgo = new Button("Exit Input Panel");
                outgo.setForeground(Color.blue);
                outgo.setBackground(new Color(240,240,255));
                outgo.setBackground(Color.white);
                outgo.setVisible(true);
                //add(outgo);
                outgo.setBounds(51,3,140,19);
		               
                ingo = new Button("Return to Input Panel");
                ingo.setForeground(Color.blue);
                ingo.setBackground(new Color(240,240,255));
                ingo.setBackground(Color.white);
                ingo.setVisible(false);
                //add(ingo);
                ingo.setBounds(51,3,140,19);
                
                about = new Button("Instructions");
                add(about);
                about.setBounds(20,420,100,20);	
                
                Panel p1 = new Panel();
                p1.setBackground(Color.black);
                add(p1);
                p1.setBounds(0,413,465,1);
        
	}
	public void paint(Graphics g){
            Graphics2D g2d = (Graphics2D)g;
                
	    g.clearRect(0,0,getSize().width,getSize().height);
	    g.setColor(Color.black);
            g.drawRect(0,0,getSize().width-1,getSize().height-1);
            
            g.setColor(Color.blue);
            
            int down = 410;
            int left1 = 208;
            //int left2 = 462;
            int right1 = 406;
            //int right2 = 611;
            int tick_depth = 17;
            int arrow_depth = 12;
            int range_pos = 70;
            int range_vert= 15;
            
            g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
                
            //left tick marks for width arrow
            g.drawLine(left1,down+7,left1,down+tick_depth);
	    
            //right tick marks for width arrows
            g.drawLine(right1,down+7,right1,down+tick_depth);
	    
            //arrow line
            g.drawLine(left1,down+arrow_depth,right1,down+arrow_depth);
            
            //arrow heads 
            MaestroG.drawArrow(left1+10,down+arrow_depth,8,g);
            MaestroG.drawArrow(right1-10,down+arrow_depth,7,g);
            
            g.setColor(Color.white);
            //g.fillRect(left1+range_pos-10,down+arrow_depth,27,14);
            
            g.setColor(Color.blue);
            g.setFont(rangefont);
            g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
            g.drawString("Plot Range",left1+range_pos,down+arrow_depth+range_vert);
            
        }
	
} // ChoiceInput.java
